Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.configuration.wizard
Class UpgradeWizard

    java.lang.Object
      ActionSupport
          com.atlassian.bamboo.ww2.BambooActionSupport
              com.atlassian.bamboo.webwork.AbstractAction
                  com.atlassian.bamboo.configuration.AbstractLicenseAction
                      com.atlassian.bamboo.configuration.wizard.UpgradeWizard

All Implemented Interfaces:
  ErrorCollection, BambooSessionAware, ReturnUrlAware

    public class UpgradeWizard

extends AbstractLicenseAction

This class accepts upgrade system configuration from the WelcomeWizard.

Field Summary
`static String` | `UPGRADE`
`static String` | `VALIDATE`

Fields inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`buildManager, CONFIRM, cookieCutter`

Constructor Summary
`UpgradeWizard()`

Method Summary
`String` | `doDefault()` Initialise the wizard's default values
`String` | `doExecute()` Places the current user on the page
`String` | `getBuildDirectory()`
`int` | `getCorrectVersion()`
`int` | `getCurrentVersion()`
`FileBasedPersisterOptions` | `getFilePersister()` Provide the GUI with the file persister
`boolean` | `getShowLicenseBox()` Should the form display the license box?
`void` | `setBuildDirectory(String buildDirectory)`
`void` | `setShowLicense(String value)` Should the form display the license box?
`void` | `validate()` Validate the persister.

Methods inherited from class com.atlassian.bamboo.configuration.AbstractLicenseAction
`getLicense, setLicense`

Methods inherited from class com.atlassian.bamboo.webwork.AbstractAction
`addFormErrors, execute, getAction, getAdministrationConfiguration, getBamboo, getBaseUrl, setAdministrationConfiguration`

Methods inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`addError, addError, addErrorCollection, addErrorMessage, addErrorMessages, addErrors, addIllegalArgumentException, doesLabelKeyHaveMatchingDescription, getAsPreformattedText, getBambooSession, getBreadCrumbs, getBuildManager, getConglomerateCookieValue, getCookieCutter, getCookieValue, getCurrentUrl, getDescriptionFromLabelKey, getFlushedErrorMessages, getReturnUrl, getUser, getWebItemsForSection, getWebResourceManager, getWebSectionsForLocation, hasAnyErrors, hasBuilds, hasPerm, isEnableSignup, isSelectFieldAndNull, setAuthenticationContext, setBambooPermissionManager, setBuildManager, setCookieCutter, setErrorMessages, setHtmlUtils, setReturnUrl, setWebInterfaceManager, setWebResourceManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.utils.error.ErrorCollection
`getErrorMessages, getErrors, getFieldErrors`

Field Detail

### UPGRADE

    public static final String UPGRADE

See Also:
  Constant Field Values

### VALIDATE

    public static final String VALIDATE

See Also:
  Constant Field Values

Constructor Detail

### UpgradeWizard

    public UpgradeWizard()

Method Detail

### getFilePersister

    public FileBasedPersisterOptions getFilePersister()

  Provide the GUI with the file persister

  Returns:
    The file persister

### getShowLicenseBox

    public boolean getShowLicenseBox()

  Should the form display the license box?

### setShowLicense

    public void setShowLicense(String value)

  Should the form display the license box?

  Parameters:
    `value` - "true" or "false"

### getBuildDirectory

    public String getBuildDirectory()

### setBuildDirectory

    public void setBuildDirectory(String buildDirectory)

### validate

    public void validate()

  Validate the persister.

  Overrides:
    `validate` in class `AbstractAction`

### doDefault

    public String doDefault()

  Initialise the wizard's default values

  Overrides:
    `doDefault` in class `AbstractAction`
  Returns:
    The WebWork return status

### doExecute

    public String doExecute()
                     throws Exception

  Description copied from class: `AbstractAction`
  Places the current user on the page

  Overrides:
    `doExecute` in class `AbstractAction`
  Returns:
    webwork success status
  Throws:
    `Exception` - something nasty went wrong

### getCurrentVersion

    public int getCurrentVersion()

### getCorrectVersion

    public int getCorrectVersion()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.